# CMxFloat Class

Namespace: `ArchestrA.Toolkit`

CMxFloat is derived from CMxCommon and provides support for float Attributes.

**Syntax**

```csharp
public class CMxFloat : CMxCommon
```

## CMxFloat Property

### Value Property

Provides a property to get and set the value as a float.

**Syntax**

```csharp
public float Value { get; set; }
```

**Returns**

float

## CMxFloat Constructors

### CMxFloat Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxFloat();
```

### CMxFloat Constructor (float)

Provides a constructor to initialize the class with a float default value.

**Syntax**

```csharp
CMxFloat(float v);
```

**Parameters**

**`v`**

[in] float value to be set.

### CMxFloat Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxFloat(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxFloat Method

### Set Method

Provides a method to set the value of the Attribute from a CMxFloat.

**Syntax**

```csharp
public void Set(CMxFloat val);
```

**Parameters**

**`val`**

[in] CMxFloat value to be set.

## CMxFloat Operator Overloads

### CMxFloat Operator Overload (float)

Provides an operator to convert a float into a CMxFloat.

**Syntax**

```csharp
public static implicit operator CMxFloat(float x);
```

**Parameters**

**`x`**

[in] float value to convert to CMxFloat.

**Returns**

CMxFloat

### CMxValue Operator Overload

Provides an operator to convert a CMxFloat into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxFloat val);
```

**Parameters**

**`val`**

[in] CMxFloat to convert to CMxValue.

**Returns**

CMxValue

### Float Operator Overload

Provides an operator to convert a CMxFloat into a float.

**Syntax**

```csharp
public static implicit operator float(CMxFloat val);
```

**Parameters**

**`val`**

[in] CMxFloat to convert to float.

**Returns**

float

### CMxFloat Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxFloat.

**Syntax**

```csharp
public static implicit operator CMxFloat(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxFloat.

**Returns**

CMxFloat
